package com.zjrs.ggfw.rlzysc.dto;


import jakarta.validation.constraints.NotBlank;

public class YgbaygUDTO implements java.io.Serializable {
    private static final long serialVersionUID = 1L;
    private String rsrlzyygbaygywlsh;       //流水号
    private String rsrlzyygbadwlsh;       //用工备案单位表流水号
    @NotBlank(message = "姓名不能为空")
    private String xm;       //姓名
    @NotBlank(message = "证件类型不能为空")
    private String zjlx;       //证件类型
    @NotBlank(message = "证件号码不能为空")
    private String zjhm;       //证件号码
    private String hjfxzqh;       //户籍地行政区划
    private String jzdz;       //居住地址
    private String csgw;       //从事岗位
    @NotBlank(message = "用工方式不能为空")
    private String ygfs;       //用工方式
    @NotBlank(message = "入职时间不能为空")
    private String rzsj;       //入职时间
    private String htdqsj;       //合同到期时间
    private String bz;       //备注
    private String lzsj;       //离职时间
    private String ryzt;       //人员状态
    private String tjzt;       //提交状态
    private String shzt;       //审核状态
    private String shyj;       //审核意见

    public String getRsrlzyygbaygywlsh() {
        return rsrlzyygbaygywlsh;
    }

    public void setRsrlzyygbaygywlsh(String rsrlzyygbaygywlsh) {
        this.rsrlzyygbaygywlsh = rsrlzyygbaygywlsh;
    }

    public String getXm() {
        return xm;
    }

    public void setXm(String xm) {
        this.xm = xm;
    }

    public String getZjlx() {
        return zjlx;
    }

    public void setZjlx(String zjlx) {
        this.zjlx = zjlx;
    }

    public String getZjhm() {
        return zjhm;
    }

    public void setZjhm(String zjhm) {
        this.zjhm = zjhm;
    }

    public String getHjfxzqh() {
        return hjfxzqh;
    }

    public void setHjfxzqh(String hjfxzqh) {
        this.hjfxzqh = hjfxzqh;
    }

    public String getJzdz() {
        return jzdz;
    }

    public void setJzdz(String jzdz) {
        this.jzdz = jzdz;
    }

    public String getCsgw() {
        return csgw;
    }

    public void setCsgw(String csgw) {
        this.csgw = csgw;
    }

    public String getYgfs() {
        return ygfs;
    }

    public void setYgfs(String ygfs) {
        this.ygfs = ygfs;
    }

    public String getRzsj() {
        return rzsj;
    }

    public void setRzsj(String rzsj) {
        this.rzsj = rzsj;
    }

    public String getHtdqsj() {
        return htdqsj;
    }

    public void setHtdqsj(String htdqsj) {
        this.htdqsj = htdqsj;
    }

    public String getBz() {
        return bz;
    }

    public void setBz(String bz) {
        this.bz = bz;
    }

    public String getLzsj() {
        return lzsj;
    }

    public void setLzsj(String lzsj) {
        this.lzsj = lzsj;
    }

    public String getRyzt() {
        return ryzt;
    }

    public void setRyzt(String ryzt) {
        this.ryzt = ryzt;
    }

    public String getTjzt() {
        return tjzt;
    }

    public void setTjzt(String tjzt) {
        this.tjzt = tjzt;
    }

    public String getShzt() {
        return shzt;
    }

    public void setShzt(String shzt) {
        this.shzt = shzt;
    }

    public String getShyj() {
        return shyj;
    }

    public void setShyj(String shyj) {
        this.shyj = shyj;
    }

    public String getRsrlzyygbadwlsh() {
        return rsrlzyygbadwlsh;
    }

    public void setRsrlzyygbadwlsh(String rsrlzyygbadwlsh) {
        this.rsrlzyygbadwlsh = rsrlzyygbadwlsh;
    }
}

